import request from '@/utils/request'

/**
 * 新增或者修改
 * @param {*} data appDesc	string appId	stringappName	string appRemark	string id	integer($int64)
 * @returns 
 */
export function modifyMini(data) {
    return request({
        url: '/corp/sys/app/addOrUpdate',
        method: 'POST',
        data: data
    })
}

/**
 * 删除
 * @param {*} ids 
 * @returns 
 */
export function delMinis(ids) {
    return request({
        url: `/corp/sys/app/delete/${ids}`,
        method: 'DELETE'
    })
}

/**
 * 获取列表
 * @param {*} data 
 * @returns 
 */
export function getMiniList(data) {
    return request({
        url: `/corp/sys/app/listOfPage`,
        method: 'POST',
        data
    })
}